NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.BlankNestingBuilder Class Reference

Blank Nesting Builder of PDW, EDW and Die Engineering. More...

Inheritance diagram for NXOpen.Tooling.BlankNestingBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  LayoutTypeSpecification {
  Rectangle, Parallelogram, Trapezoid, OneUp,
  TwoUp, TwoPair
}
 Specifies the layout type of blank nesting. More...
 

Public Member Functions

unsafe void LayoutCalculation ()
 The method to calculate maximum material utilization for the selected entities. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleResult [get, set]
 Returns or sets the angle between processed blank and original blank. More...
 
unsafe NXOpen.Expression AngleResultExp [get]
 Returns the angle between processed blank and original blank. More...
 
unsafe double AngleStep [get, set]
 Returns or sets the angle increment to use when rotating the blank during the processing to find the best layout. More...
 
unsafe NXOpen.Expression AngleStepExp [get]
 Returns the angle increment to use when rotating the blank during the processing to find the best layout. More...
 
unsafe double BlankArea [get, set]
 Returns or sets the up datum face area that was found in the processing. More...
 
unsafe NXOpen.Expression BlankAreaExp [get]
 Returns the up datum face area that was found in the processing. More...
 
unsafe int BoundarySegment [get, set]
 Returns or sets the number of boundary segment. More...
 
unsafe double HeightStep [get, set]
 Returns or sets the distance increment to use when translating the blank in the vertical direction during the processing to find the best layout. More...
 
unsafe bool IsReNest [get, set]
 Returns or sets the attribute value, which specifies whether to re-nest or not More...
 
unsafe
NXOpen.Tooling.BlankNestingBuilder.LayoutTypeSpecification 
LayoutType [get, set]
 Returns or sets the type of layout to use in the blank nesting processing. More...
 
unsafe double MinimumDistance [get, set]
 Returns or sets the minimum distance between the adjacent blanks. More...
 
unsafe NXOpen.Expression MinimumDistanceExp [get]
 Returns the minimum distance between the adjacent blanks. More...
 
unsafe double PitchResult [get, set]
 Returns or sets the distance between blanks that was found in the processing. More...
 
unsafe NXOpen.Expression PitchResultExp [get]
 Returns the distance between blanks that was found in the processing. More...
 
unsafe NXOpen.ScCollector SelectObject [get]
 Returns the selected entities making up the blank to be nested. More...
 
unsafe double StripWidthResult [get, set]
 Returns or sets the strip width. More...
 
unsafe NXOpen.Expression StripWidthResultExp [get]
 Returns the strip width. More...
 
unsafe double Utilization [get, set]
 Returns or sets the maximum material utilization of the blank. More...
 
unsafe double WebDistance [get, set]
 Returns or sets the distance between the blank and the strip. More...
 
unsafe NXOpen.Expression WebDistanceExp [get]
 Returns the distance between the blank and the strip. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Blank Nesting Builder of PDW, EDW and Die Engineering.

No object is returned by this builder.

To create a new instance of this class, use NXOpen.Tooling.BlankNestingCollection.CreateBlankNestingBuilder

Default values.

Property Value

AngleResult

0

AngleResultExp.Value

0

AngleStep

25

AngleStepExp.Value

25

BlankArea

0

BlankAreaExp.Value

0

BoundarySegment

200

HeightStep

25

IsReNest

0

LayoutType

Rectangle

MinimumDistance

0

MinimumDistanceExp.Value

0

PitchResult

0

PitchResultExp.Value

0

StripWidthResult

0

StripWidthResultExp.Value

0

Utilization

0

WebDistance

0

WebDistanceExp.Value

0

Created in NX8.5.0

Member Enumeration Documentation

Specifies the layout type of blank nesting.

Enumerator
Rectangle 

Auto-position blank along x-axis with rectangle bounding box.

Parallelogram 

Auto-position blank along x-axis with parallelogram bounding box.

Trapezoid 

Rotate blank 180 degrees and auto-position it along x-axis with trapezoid bounding box.

OneUp 

Auto-position blank along x-axis without bounding box.

TwoUp 

Two up without bounding box.

Move one blank along y-axis, then auto-position them along x-axis.

TwoPair 

Two pair without bounding box.

Rotate one blank 180 degrees and move along y-axis, then auto-position them along x-axis.

Member Function Documentation

unsafe void NXOpen.Tooling.BlankNestingBuilder.LayoutCalculation ( )
inline

The method to calculate maximum material utilization for the selected entities.

Created in NX8.5.0

License requirements: None.

Property Documentation

unsafe double NXOpen.Tooling.BlankNestingBuilder.AngleResult
getset

Returns or sets the angle between processed blank and original blank.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.BlankNestingBuilder.AngleResultExp
get

Returns the angle between processed blank and original blank.

Created in NX1872.0.0

License requirements: None.

unsafe double NXOpen.Tooling.BlankNestingBuilder.AngleStep
getset

Returns or sets the angle increment to use when rotating the blank during the processing to find the best layout.

The angle is specified in degrees.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.BlankNestingBuilder.AngleStepExp
get

Returns the angle increment to use when rotating the blank during the processing to find the best layout.

The angle is specified in degrees.

Created in NX1872.0.0

License requirements: None.

unsafe double NXOpen.Tooling.BlankNestingBuilder.BlankArea
getset

Returns or sets the up datum face area that was found in the processing.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.BlankNestingBuilder.BlankAreaExp
get

Returns the up datum face area that was found in the processing.

Created in NX1872.0.0

License requirements: None.

unsafe int NXOpen.Tooling.BlankNestingBuilder.BoundarySegment
getset

Returns or sets the number of boundary segment.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.BlankNestingBuilder.HeightStep
getset

Returns or sets the distance increment to use when translating the blank in the vertical direction during the processing to find the best layout.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.BlankNestingBuilder.IsReNest
getset

Returns or sets the attribute value, which specifies whether to re-nest or not

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.BlankNestingBuilder.LayoutTypeSpecification NXOpen.Tooling.BlankNestingBuilder.LayoutType
getset

Returns or sets the type of layout to use in the blank nesting processing.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.BlankNestingBuilder.MinimumDistance
getset

Returns or sets the minimum distance between the adjacent blanks.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.BlankNestingBuilder.MinimumDistanceExp
get

Returns the minimum distance between the adjacent blanks.

Created in NX1872.0.0

License requirements: None.

unsafe double NXOpen.Tooling.BlankNestingBuilder.PitchResult
getset

Returns or sets the distance between blanks that was found in the processing.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.BlankNestingBuilder.PitchResultExp
get

Returns the distance between blanks that was found in the processing.

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.BlankNestingBuilder.SelectObject
get

Returns the selected entities making up the blank to be nested.

Created in NX8.5.0

License requirements: None.

unsafe double NXOpen.Tooling.BlankNestingBuilder.StripWidthResult
getset

Returns or sets the strip width.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.BlankNestingBuilder.StripWidthResultExp
get

Returns the strip width.

Created in NX1872.0.0

License requirements: None.

unsafe double NXOpen.Tooling.BlankNestingBuilder.Utilization
getset

Returns or sets the maximum material utilization of the blank.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.BlankNestingBuilder.WebDistance
getset

Returns or sets the distance between the blank and the strip.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.BlankNestingBuilder.WebDistanceExp
get

Returns the distance between the blank and the strip.

Created in NX1872.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.